Update device details
Update details for a device. Partial updates are allowed.
Setting the status to "READY_TO_LINK" will unlink it for the current device and create a new deviceLinkCode and a new identifier
Required permissions: DEVICE
Token received from the auth service
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a device
^[A-Za-z0-9-_]+| Enum | Description |
|---|---|
| CLIENT | Flow Retail Client |
| ASSISTANT | Flow Retail Assistant |
| UNKNOWN | No specific app |
^[A-Za-z0-9-_]*| Enum | Description |
|---|---|
| READY_TO_LINK | The device is ready to a physical device through the link endpoint |
| ACTIVE | The device is linked and active |
| BLOCKED | The device is linked, but blocked for usage |
^[A-Za-z0-9-_]*Example response
^[A-Za-z0-9-_]+A unique client identifier. This will be set when the client is linked.
The timestamp indicating the most recent date and time when the device registered any activity.
The tenantUserUid who interacted with this device most recently
Contains device name, OS, release version of OS, OS build date, like a uname -a response on linux servers
| Enum | Description |
|---|---|
| READY_TO_LINK | The device is ready to a physical device through the link endpoint |
| ACTIVE | The device is linked and active |
| BLOCKED | The device is linked, but blocked for usage |
The code that should be used to link the device to an app
^[A-Za-z0-9-_]*| Enum | Description |
|---|---|
| CLIENT | Flow Retail Client |
| ASSISTANT | Flow Retail Assistant |
| UNKNOWN | No specific app |
PUT /v2/tenants/{tenantUid}/devices/{deviceUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 153
{
"name": "text",
"appCode": "CLIENT",
"storeUid": "text",
"status": "ACTIVE",
"tillUid": "text",
"settings": [
{
"key": "text",
"value": "text"
}
],
"printerUids": [
"text"
]
}Example response
{
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"deviceUid": "text",
"identifier": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastActivityAt": "2026-01-01T00:00:00.000Z",
"lastTenantUserUid": "text",
"name": "text",
"systemInformation": "text",
"status": "ACTIVE",
"store": {
"name": "text",
"storeUid": "text",
"organizationUid": "text"
},
"deviceLinkCode": "text",
"lastOrderUid": "text",
"till": {
"tillUid": "text",
"name": "text",
"tillNumber": 1
},
"appCode": "CLIENT",
"appVersion": "text",
"settings": [
{
"key": "text",
"value": "text",
"type": "STRING",
"allowedValues": [
"text"
],
"validationRegex": "text",
"name": "text",
"required": true
}
],
"printers": [
{
"printerUid": "text",
"name": "text",
"type": "LABEL",
"availablePrintActions": [
"RECEIPT"
]
}
]
}Last updated
Was this helpful?

